<template>
	<div class="home">
		<div class="container">
			<div class="home-screen">
				<main-banner
					:header="'300% up to €1000 + 200 Free Spins'"
					:subheader="'The welcome package for all users'"
					:btn-name="'Create account & grab bonus'"
				></main-banner>
				<small-banner
					:header="'Special VIP games'"
					:subheader="'Exclusive offers'"
					:btn-name="'Read More'"
				></small-banner>
				<small-banner-blue
					:header="'Best Slot of the Month'"
					:subheader="'Flipper Recommended'"
					:btn-name="'Read More'"
				></small-banner-blue>
			</div>
			<games-slider
				:games="'some games'"
			></games-slider>
			<banner-slider
				:banners="'some banners'"
			></banner-slider>
		</div>
		<banner-section
			:header="'Live Casino. Roulette. Poker. BlackJack.'"
			:subheader="'24/7 - we are here to make you win'"
			:btn-name="'Register now'"
			:link="'#'"
			></banner-section>
		<treasure-section
			:header="'€12,063,603'"
			:subheader="'Total Jackpot'"
			></treasure-section>
			
	</div>
</template>

<script>
    // @ is an alias to /src

    import MainBanner from "@/components/banners/MainBanner";
    import SmallBanner from "@/components/banners/SmallBanner";
    import SmallBannerBlue from "@/components/banners/SmallBannerBlue";
    import GamesSlider from "@/components/sliders/GamesSlider";
    import BannerSlider from "@/components/sliders/BannerSlider";
    import BannerSection from "@/components/sections/BannerSection";
    import TreasureSection from "@/components/sections/TreasureSection";

    export default {
        name: "home",
        components: {
            TreasureSection,
            BannerSection,
            BannerSlider,
            GamesSlider,
            MainBanner,
            SmallBanner,
            SmallBannerBlue,
        }
    };
</script>
<style lang="sass" scoped>
	.home
		background-color: rgb(244, 244, 244)
		background-image: url("../assets/img/main/Cloud.png")
		background-size: 100%
		background-position: 50% -5rem
		background-repeat: no-repeat
	.home-screen
		display: grid
		grid-template-columns: repeat(3, 1fr)
		grid-template-rows: repeat(2, 1fr)
		grid-gap: 30px
		position: relative
		&:after
			content: ''
			display: block
			width: 200vw
			height: 20%
			background-image: url("../assets/img/main/upwave.svg")
			background-size: 60vw
			background-repeat: repeat-x
			position: absolute
			bottom: -3vw
			left: -20vw
	
</style>
